Get the versions of an edit

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/edits/{edit_id}/versions

Get the saved versions of the data of an edit. Each version keeps the values of the edit at one time.

Path parameters

  • edit_id string(uuid) Required

    Unique identifier of the edit

Responses

  • 200 application/json

    The list of versions

    Hide response attributes Show response attributes object
    • id string(uuid)

      Version unique identifier

    • edit_id string(uuid)

      Edit identifier

    • version_number integer

      Version number

    • data object

      Version data content

    • created_at string(date-time)

      Creation timestamp

    • created_by string(uuid)

      Creator person identifier

  • 403

    You do not have access to this project, or you are a vendor without a task on this edit

  • 404

    The edit does not exist

GET /data/edits/{edit_id}/versions
curl -X GET "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/versions" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/edits/a24a6ea4-ce75-4665-a070-57453082c25/versions"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d360",
    "edit_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "version_number": 1,
    "data": {
      "duration": 120,
      "fps": 24,
      "changes": "Added transitions"
    },
    "created_at": "2023-01-01T12:00:00Z",
    "created_by": "c46c80c6-e097-6887-c292-79675204e470"
  }
]